import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';

import { AppComponent } from './app.component';
import { AppBarComponent } from './includes/app-bar/app-bar.component';
import { LoadingComponent } from './includes/loading/loading.component';
import { OnActionComponent } from './includes/on-action/on-action.component';
import { AddWalletComponent } from './dialogs/add-wallet/add-wallet.component';
import { SelectProjectComponent } from './dialogs/select-project/select-project.component';

@NgModule({
  declarations: [
    AppComponent,
    AppBarComponent,
    LoadingComponent,
    AddWalletComponent,
    OnActionComponent,
    SelectProjectComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    RouterModule.forRoot([
      { path: 'auth', loadChildren: './modules/auth/auth.module#AuthModule' },
      { path: 'panel', loadChildren: './modules/panel/panel.module#PanelModule' },
      { path: 'setting', loadChildren: './modules/setting/setting.module#SettingModule' },
      { path: 'me', loadChildren: './modules/me/me.module#MeModule' },
      { path: 'project', loadChildren: './modules/project/project.module#ProjectModule' },
      { path: 'calendar', loadChildren: './modules/calendar/calendar.module#CalendarModule' },
      { path: '**', redirectTo: '/panel/dashboard' }
    ])
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
