export interface Item {
    name?: string,
    title: string,
    icon?: string,
    path?: string,
    inAppBar?: boolean,
    menu?: Item[],
    config?: {
        mini: boolean,
        hide: boolean,
        profile: boolean
    }
}

const defaultConfig = {
    mini: false,
    hide: false,
    profile: true
};

const items: Item[] = [
    {
        name: "panel",
        title: "پیشخوان",
        icon: "home",
        path: "/panel/dashboard",
        inAppBar: true,
        menu: [
            {
                title: "پیشخوان",
                icon: "dashboard",
                path: "/panel/dashboard"
            },
            {
                title: 'گفتگو ها',
                icon: 'forum',
                path: '/panel/chat'
            }
        ],
        config: defaultConfig
    },
    {
        name: "ticket",
        title: "تیکت ها",
        icon: "forum",
        inAppBar: true,
    },
    {
        name: "calendar",
        title: "تقویم",
        icon: "event",
        path: "/calendar/view",
        inAppBar: true,
        config: {
            mini: false,
            hide: true,
            profile: false
        }
    },
    {
        name: "setting",
        title: "تنظیمات",
        inAppBar: false,
        menu: [
            { title: "تنظیمات رایکانکت", icon: "settings", path: "/setting/app" },
            { title: "تنظیمات رابط کاربری", icon: "brush", path: "/setting/interface" },
            { title: "تنظیمات اعلانات", icon: "notifications_none", path: "/setting/notification" },
            { title: "تنظیمات پروژه", icon: "settings_applications", path: "/setting/project" },
            { title: "تنظیمات تقویم", icon: "event", path: "/setting/calendar" },
            { title: "خروج از حساب", icon: "exit_to_app", path: "/setting/logout" },
            { title: "تنظیم مجدد تنظیمات", icon: "update", path: "/setting/reset" },
            { title: "درخواست اطلاعات حساب", icon: "play_for_work", path: "/setting/request" }
        ],
        config: defaultConfig
    },
    {
        name: "me",
        title: "نمایه کاربری",
        inAppBar: false,
        menu: [
            { title: "تنظیمات نمایه شما", icon: "edit", path: "/me/profile" },
            { title: "اعلانات شما", icon: "notifications_none", path: "/me/notifications" }
        ],
        config: defaultConfig
    },
    {
        name: "project",
        title: "تنظیمات پروژه",
        icon: 'settings',
        path: '/project/setting',
        inAppBar: true,
        menu: [
            { title: "تنظیمات پروژه", icon: "settings_applications", path: "/project/setting" },
            { title: "ویرایش پروژه", icon: "edit", path: "/project/edit" },
            { title: "همکاران پروژه", icon: "group", path: "/project/partners" },
            { title: "حذف پروژه", icon: "delete", path: "/project/delete" },
            { title: "خروج از پروژه", icon: "exit_to_app", path: '/project/logout' }
        ],
        config: defaultConfig
    }
];

export default items;