import { Component, OnInit } from '@angular/core';
import { Settings } from '../../services/settings/settings.service';

@Component({
  selector: 'app-on-action',
  templateUrl: './on-action.component.html',
  styleUrls: ['./on-action.component.css']
})
export class OnActionComponent implements OnInit {

  public icon: string = '';
  public text: string = '';
  public colored: boolean = false;
  public rtl: boolean = false;
  public show: boolean = false;
  private event = {
    "nightMode": [{ "value": false, "icon": 'wb_sunny', "text": 'حال روز فعال' }, { "value": true, "icon": 'brightness_2', "text": 'حالت شب فعال' }],
    "color": [{ "icon": 'color_lens', "colored": true, "text": 'رنگ تغییر کرد' }],
    "saved": [{ "icon": 'done', "rtl": true, "text": 'اطلاعات ذخیره شد !' }],
    "cityId": [{ "icon": "where_to_vote", "rtl": true, "text": "شهر انتخاب شد" }]
  }
  private timeout;
  constructor(public settings: Settings) { }

  ngOnInit() {
    this.settings.onChange.subscribe(title => {
      if (title && this.event[title]) {
        clearTimeout(this.timeout);
        let value = this.settings[title];
        if (this.event[title].length == 1) {
          let event = this.event[title][0]
          this.set(event['icon'], event['text'], event['colored'], event['rtl']);
        } else {
          this.event[title].forEach(item => {
            if (item.value == value) {
              this.set(item.icon, item.text)
              return;
            }
          })
        }
      }
    });
  }

  set(icon = '', text = '', colored: boolean = false, rtl: boolean = false) {
    this.icon = icon;
    this.text = text;
    this.colored = colored;
    this.rtl = rtl;
    this.show = true;
    this.timeout = setTimeout(() => {
      this.show = false;
    }, 3000);
  }
}
