import { Component, OnInit } from '@angular/core';
import { Settings } from '../../../services/settings/settings.service';
import { Router } from '@angular/router';
import 'calandar-js';

declare global {
  interface Window {
    Calendar: any;
  }
}

@Component({
  selector: 'app-main',
  templateUrl: './main.component.html',
  styleUrls: ['./main.component.css']
})
export class MainComponent implements OnInit {

  private Calendar: any
  public weatherAble: boolean = false;
  public weather;
  public calendar = { for: { year: 0, month: 0, Month: '' }, today: { year: 0, month: 0, Month: '' }, martix: { array: [[]], dom: document.querySelector('div.month') } };
  constructor(private settings: Settings, private router: Router) { }

  async ngOnInit() {
    this.Calendar = new window.Calendar('#calendar');
    this.calendar = await this.Calendar.make();    
  }

  async next() {
    let year = (this.calendar.for.month + 1 == 13) ? this.calendar.for.year + 1 : this.calendar.for.year;
    let month = (this.calendar.for.month + 1 == 13) ? 1 : this.calendar.for.month + 1;
    this.calendar = await this.Calendar.make({ year, month });
  }

  async previous() {
    let year = (this.calendar.for.month - 1 == 0) ? this.calendar.for.year - 1 : this.calendar.for.year;
    let month = (this.calendar.for.month - 1 == 0) ? 12 : this.calendar.for.month - 1;
    this.calendar = await this.Calendar.make({ year, month });
  }

  async getWeather() {
    if (this.settings.cityId == null) this.router.navigate(['/setting/calendar']);
    else {      
      let data = await fetch(`http://api.openweathermap.org/data/2.5/forecast?id=${this.settings.cityId}&cnt=${this.settings.weatherDayCount.toString()}&appid=dfad58614f0b0ae3bed0c9460c7309d7`).then(res => res.json());
      if (data['cod'] == 200) {
        this.weather = data['list'];
        let start = false, weatherIndex = 0;
        let month: Element = this.calendar.martix.dom;
        for (let weekIndex = 1; weekIndex < month.childNodes.length; weekIndex++) {
          if (weatherIndex >= this.settings.weatherDayCount) break;
          let week: Element = (<Element>month.childNodes[weekIndex]);
          for (let dayIndex = 0; dayIndex < 7; dayIndex++) {
            if (weatherIndex >= this.settings.weatherDayCount) break;
            let day: Element = (<Element>week.childNodes[dayIndex]);
            if ((day.classList.contains('today') && start == false) || start == true) {
              start = true;
              day.appendChild(this.setWeatherDay(data.list[weatherIndex]['weather'][0]['icon']));
              weatherIndex++;
            } else;
          }
        }
        this.weatherAble = true;
      }
    }
  }

  setWeatherDay(type = '') {
    let img = document.createElement('img');
    img.src = `/assets/weather/${type}.png`;
    img.alt = type;
    img.classList.add('weather');
    return img;
  }
}
