import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { Settings } from '../../../../services/settings/settings.service';

@Component({
  selector: 'app-select-avatar',
  templateUrl: './select-avatar.component.html',
  styleUrls: ['./select-avatar.component.css']
})
export class SelectAvatarComponent implements OnInit {

  public avatars = [];
  @Input() selected: number = 0;
  @Output() onSelect: EventEmitter<number> = new EventEmitter();
  constructor(public settings: Settings) { }

  ngOnInit() {
    for (let i = 1; i < 10; i++) this.avatars.push(i);
  }

  click(index = 0) {
    this.selected = index;
    this.onSelect.emit(index);
  }
}
