import { Component, OnInit } from '@angular/core';
import { Project } from '../../../services/project/project.service';
import { Socket } from '../../../services/socket/socket.service';
import { Router } from '@angular/router';

@Component({
  selector: 'app-delete',
  templateUrl: './delete.component.html',
  styleUrls: ['./delete.component.css']
})
export class DeleteComponent implements OnInit {

  public loading: boolean = false;
  constructor(public project: Project, private socket: Socket, private router: Router) { }

  ngOnInit() {
  }

  delete() {
    this.loading = true;
    this.socket.rayconnect.Request({
      scope: 'project',
      uniqueID: 'chat-admin',
      TokenID: '*',
      address: 'project/delete',
      info: {
        method: 'DELETE',
        data: { id: this.project.id }
      }
    },
      {
        scope: 'project',
        address: 'project/delete/status',
        method: 'SEND'
      }).then(data => {
        this.loading = false;        
        if (data['data']['status'] == true) {
          this.project.logout();
          this.router.navigate(['/panel/dashboard']);
        }
      })
  }
}
