import { Component, OnInit } from '@angular/core';
import { Project } from '../../../services/project/project.service';
import { Socket } from '../../../services/socket/socket.service';
import { Settings } from '../../../services/settings/settings.service';

@Component({
  selector: 'app-edit',
  templateUrl: './edit.component.html',
  styleUrls: ['./edit.component.css']
})
export class EditComponent implements OnInit {

  public data = { _id: '', name: '', icon: -1, color: 1, descriptions: '', domain: [''], module: [], owner: null };
  public error = { name: false };
  public loading: boolean = false;
  constructor(public project: Project, private socket: Socket, private settings: Settings) { }

  ngOnInit() {
    this.data = {
      _id: this.project.id,
      name: this.project.name,
      icon: this.project.icon,
      color: this.project.color,
      descriptions: this.project.descriptions,
      domain: this.project.domain,
      module: this.project.module,
      owner: this.project.owner
    }
  }

  edit() {
    this.loading = true;
    this.socket.rayconnect.Request({
      scope: 'project',
      uniqueID: 'chat-admin',
      TokenID: '*',
      address: 'project/edit',
      info: {
        method: 'EDIT',
        data: {
          id: this.project.id,
          name: this.data.name,
          icon: this.data.icon,
          color: this.data.color,
          descriptions: this.data.descriptions,
          domain: this.data.domain,
          module: this.data.module,
          owner: this.data.owner
        }
      }
    },
      {
        scope: 'project',
        address: 'project/edited',
        method: 'SEND'
      }).then(data => {
        this.loading = false;
        if (data['data']['status'] == true) {
          this.project.set(this.data);
          this.settings.setChanges('saved');
        }
      })
  }
}
