import { Injectable } from '@angular/core';
import { Socket } from '../socket/socket.service';
import { Router } from '@angular/router';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class Account {

  public fullname: string = '';
  public email: string = '';
  public avatar: string = '';
  public phone: string = '';
  public balance: number = 0;
  public onSet = new BehaviorSubject<boolean>(false);
  constructor(private router: Router, private socket: Socket) { }
  set() {
    this.onSet.next(true);
  }

  logout() {
    this.socket.rayconnect.GetGuestAccess();
    this.fullname = '';
    this.email = '';
    this.avatar = '0';
    this.phone = '';
    window.localStorage.clear();
    window.sessionStorage.clear();
    this.onSet.next(false);
    this.router.navigate(['/auth/login'])
  }
}
